<?php

load_language('plugin.lang', HASHIGH_PATH);

global $template, $page, $conf, $prefixeTable;

$forbidden = get_sql_condition_FandF (
    			array ('forbidden_categories' => 'ic.category_id',
        			 'visible_categories' => 'ic.category_id',
        			 'visible_images' => 'i.id'), 'WHERE', true);

$page['section'] = 'has_high';

if (get_db_plugins('active','HDavecPrefixe'))
{
  $query = 'SELECT DISTINCT (i.id)
  FROM ' . IMAGES_TABLE . ' AS i
  INNER JOIN ' . IMAGE_CATEGORY_TABLE . ' AS ic
    ON i.id = ic.image_id
  INNER JOIN '.$prefixeTable.'hdavecprefixe AS hd
    ON i.id = hd.id_image
  ' . $forbidden . '
  ' . $conf['order_by'] . ';';
}
else
{
  $query = 'SELECT DISTINCT (i.id)
  FROM ' . IMAGES_TABLE . ' AS i
  INNER JOIN ' . IMAGE_CATEGORY_TABLE . ' AS ic
    ON i.id = ic.image_id
    AND i.has_high = "true"
  ' . $forbidden . '
  ' . $conf['order_by'] . ';';
}

$page = array_merge($page, array(
  'title' => '<a href="' . duplicate_index_url(array('start'=>0)).'">'.l10n('has_high_cat').'</a>',
  'items' => array_from_query($query, 'id')
));

?>